aboutsummaryrefslogtreecommitdiffstats
path: root/community/inkscape/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-11-09 15:16:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-09 16:15:40 +0000
commitd42047d78b1c2a2b6fa5979b61293f30f3b06168 (patch)
tree2826aef16eb4b518c0734345e9f6f759226ef5ee /community/inkscape/APKBUILD
parent0d8e9698190f7759b4703f58b71822d93d4b63aa (diff)
downloadaports-d42047d78b1c2a2b6fa5979b61293f30f3b06168.tar.gz
aports-d42047d78b1c2a2b6fa5979b61293f30f3b06168.tar.bz2
aports-d42047d78b1c2a2b6fa5979b61293f30f3b06168.tar.xz
community/inkscape: move from main and rebuild against poppler-0.37
Diffstat (limited to 'community/inkscape/APKBUILD')
-rw-r--r--community/inkscape/APKBUILD82
1 files changed, 82 insertions, 0 deletions
diff --git a/community/inkscape/APKBUILD b/community/inkscape/APKBUILD
new file mode 100644
index 0000000000..932fa4b990
--- /dev/null
+++ b/community/inkscape/APKBUILD
@@ -0,0 +1,82 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=inkscape
+pkgver=0.91
+pkgrel=4
+pkgdesc="A vector-based drawing program - svg compliant"
+url="http://inkscape.sourceforge.net/"
+arch="all"
+license="GPL LGPL"
+makedepends="
+ autoconf automake
+ boost-dev
+ dbus-dev
+ gc-dev
+ gsl-dev
+ gtkmm-dev
+ gtkspell-dev
+ imagemagick-dev
+ lcms-dev
+ libxml2-dev
+ libxslt-dev
+ poppler-dev
+ popt-dev
+ py-xml
+ tar
+ "
+depends="desktop-file-utils"
+install=
+subpackages="$pkgname-doc $pkgname-lang $pkgname-view"
+source="https://launchpad.net/inkscape/$pkgver.x/$pkgver/+download/inkscape-$pkgver.tar.bz2
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg "$i"; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ #aclocal -I m4 && autoconf && automake -a && autoheader
+ # we enable fortify source by default so to silence warnings we
+ # remove it from cmdline
+ sed -i -e '/CPPFLAGS=/s/-D_FORTIFY_SOURCE=2//' configure || return 1
+}
+
+build() {
+ cd "$_builddir"
+ CXXFLAGS="$CXXFLAGS -std=c++11" ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --without-gnome-vfs \
+ --enable-lcms \
+ --enable-poppler-cairo \
+ --enable-dbusapi \
+ --disable-strict-build \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+view() {
+ pkgdesc="Viewing program for SVG files"
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/inkview "$subpkgdir"/usr/bin
+}
+
+doc() {
+ default_doc
+ mkdir -p "$subpkgdir"/usr/share/inkscape
+ mv "$pkgdir"/usr/share/inkscape/examples \
+ "$pkgdir"/usr/share/inkscape/tutorials \
+ "$subpkgdir"/usr/share/inkscape
+}
+md5sums="278dfa4514adcde23546370ec2c84581 inkscape-0.91.tar.bz2"
+sha256sums="4d901f8a9e1924404e797ad23b8b0c495a9d155448816d95a55974314e1f141b inkscape-0.91.tar.bz2"
+sha512sums="3778ef7d4a1c759a7afc093e55eefb69a78dcb60332655cc8ab8c481f54a3e6550df6070178390eb08588245531906b8bef33301f0765a4d28d6c7506fcf3bc7 inkscape-0.91.tar.bz2"